Summary:	LibThai - Thai language support routines
Summary(pl.UTF-8):	LibThai - biblioteka wspomagająca obsługę języka tajskiego
Name:		libthai
Version:	0.1.28
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	https://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.xz
# Source0-md5:	aba40accba3831298d50b1b672dd2e68
URL:		https://linux.thai.net/projects/libthai
BuildRequires:	doxygen >= 1:1.8.8
BuildRequires:	libdatrie-devel >= 0.2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their
applications. It includes important Thai-specific functions e.g. word
breaking, input and output methods as well as basic character and
string supports. LibThai is an Open Source and collaborative effort
initiated by Thai Linux Working Group and opened for all contributors.

%description -l pl.UTF-8
LibThai to zbiór funkcji wspomagających obsługę języka tajskiego,
mających ułatwić programistom wprowadzanie obsługi języka tajskiego w
swoich aplikacjach. Zawiera istotne funkcje specyficzne dla języka
tajskiego, takie jak łamanie słów, metody wejścia i wyjścia, a także
podstawową obsługę znaków i łańcuchów. LibThai ma otwarte źródła i
jest wspólną pracą zapoczątkowaną przez Thai Linux Working Group,
otwartą na każdą współpracę.

%package devel
Summary:	Header files for LibThai library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibThai
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdatrie-devel

%description devel
Header files for LibThai library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LibThai.

%package static
Summary:	Static LibThai library
Summary(pl.UTF-8):	Statyczna biblioteka LibThai
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibThai library.

%description static -l pl.UTF-8
Statyczna biblioteka LibThai.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libthai.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libthai

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libthai.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthai.so.0
%{_datadir}/libthai

%files devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_libdir}/libthai.so
%{_includedir}/thai
%{_pkgconfigdir}/libthai.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libthai.a
%changelog
* Thu Sep 27 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libthai.git;a=log;h=master

* Thu Sep 27 2018 Jakub Bogusz <qboosh@pld-linux.org> ca680dd
- updated to 0.1.28

* Sun Nov 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 0293118
- updated to 0.1.27

* Sat Jan 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3026aac
- Update to 0.1.26

* Thu Aug 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 56b820c
- updated to 0.1.25

* Thu Nov 26 2015 Jakub Bogusz <qboosh@pld-linux.org> b915ca3
- updated to 0.1.24

* Mon Nov 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 323b380
- updated to 0.1.23

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 796b1f7
- updated to 0.1.22
- dropped libthai.la file

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 18bd775
- x32 rebuild
- release 2 (by relup.sh)

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 4f4c5b3
- updated to 0.1.21

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 1272d25
- updated to 0.1.20

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 8167bf9
- updated to 0.1.19

* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> c470ef8
- updated to 0.1.18

* Thu Feb 23 2012 Jakub Bogusz <qboosh@pld-linux.org> d390e2e
- updated to 0.1.17

* Sat Nov 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 1368ac5
- updated to 0.1.16

* Fri Mar 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 67fd691
- updated to 0.1.15

* Mon Mar 15 2010 Jakub Bogusz <qboosh@pld-linux.org> e545b63
- updated to 0.1.14

* Mon Jan 25 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 0cd82fd
- updated to 0.1.13

* Wed Jul 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> b730b20
- updated to 0.1.12

* Sat May 16 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 6cc0de7
- updated to 0.1.11

* Mon Mar 30 2009 Jakub Bogusz <qboosh@pld-linux.org> ae08922
- updated to 0.1.10

